# Method: sellers.adUnits.impressionSchedules.list

- [HTTP request](https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/sellers.adUnits.impressionSchedules/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/sellers.adUnits.impressionSchedules/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/sellers.adUnits.impressionSchedules/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/sellers.adUnits.impressionSchedules/list#body.request_body)
- [Response body](https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/sellers.adUnits.impressionSchedules/list#body.response_body)
  - [JSON representation](https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/sellers.adUnits.impressionSchedules/list#body.ListImpressionSchedulesResponse.SCHEMA_REPRESENTATION)
- [Authorization Scopes](https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/sellers.adUnits.impressionSchedules/list#body.aspect)
- [Examples](https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/sellers.adUnits.impressionSchedules/list#examples)

Lists impression schedules.

- For example GET /v1/sellers/111/adUnits/222
- Returns a list of impression schedules and a token to retrieve the next page if successful.
- Returns error code `PERMISSION_DENIED` if the user does not have access to the seller or seller id does not exist.
- Returns error code `INVALID_ARGUMENT` if sellers provide an invalid page size or page token.

### HTTP request

`GET https://dv360outofhomeseller.googleapis.com/v1/{parent=sellers/*/adUnits/*}/impressionSchedules`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent, which owns this collection of impression schedules. Format: sellers/{seller}/adUnits/{adUnit} |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` The maximum number of items to return. The service may return fewer than this value. Max allowed number of impression schedules is 1000; values above 1000 will be changed to 1000. If unspecified, at most 1000 impression schedules will be returned. |
| `pageToken` | `string` The nextPageToken value returned from a previous List request, if any. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains data with the following structure:
Response message for InventoryService.ListImpressionSchedules.

| JSON representation |
|---|
| ``` { "impressionSchedules": [ { object (`https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/sellers.adUnits.impressionSchedules#ImpressionSchedule`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `impressionSchedules[]` | ``object (`https://developers.google.com/display-video/out-of-home-seller/reference/rest/v1/sellers.adUnits.impressionSchedules#ImpressionSchedule`)`` The list of impression schedules. |
| `nextPageToken` | `string` A token to retrieve the next page of results. Pass this value in the \[pageToken\]\[ListImpressionScheduleRequest.page_token\] field in the subsequent call to `impressionSchedules.list` method to retrieve the next page of results. |

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/doubleclickbidmanager`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).